package structs

// API RESPONSE

// To save space and readability, i'm taking this approach
// to fit to any response from twitch, and then define the
// specific parts later, because we don't need every part
// of the request
type TwitchApiResponse struct {
	Data       map[string]interface{} `json:"data"`
	Extensions Extensions             `json:"extensions"`
}
type Extensions struct {
	DurationMilliseconds int    `json:"durationMilliseconds"`
	OperationName        string `json:"operationName"`
	RequestID            string `json:"requestID"`
}

// PARTS OF RESPONSE

type RawSocial struct {
	Name  string `json:"name"`
	Title string `json:"title"`
	Url   string `json:"url"`
}
